# $Revision: 1.3 $, $Date: 2005/01/07 12:19:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SMTP_auth
Summary:	Simple Mail Transfer Protocol Client with AUTHentication
Summary(pl):	Klient SMTP (Simple Mail Transfer Protocol) z uwierzytelnianiem (SMTP AUTH)
Name:		perl-Net-SMTP_auth
Version:	0.07
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	926e9885a45a190d9c991f138d448914
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Authen-SASL >= 2.03
BuildRequires:	perl-Digest-HMAC >= 1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a client interface to the SMTP and ESMTP
protocol AUTH service extension, enabling a perl5 application to talk
to and authenticate against SMTP servers.

The Net::SMTP_auth class is a subclass of Net::SMTP, which itself is a
subclass of Net::Cmd and IO::Socket::INET.

%description -l pl
Ten modu implementuje interfejs kliencki do rozszerzenia AUTH
protokow SMTP i ESMTP, umoliwiajc perlowym aplikacjom rozmawianie
i uwierzytelnianie wzgldem serwerw SMTP.

Klasa Net::SMTP_auth jest podklas Net::SMTP, ktra z kolei jest
podklas Net::Cmd i IO::Socket::INET.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/SMTP_auth.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SMTP_auth.spec,v $
Revision 1.3  2005/01/07 12:19:00  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.2  2005/01/05 19:09:05  qboosh
- pl, removed usage info from desc

Revision 1.1  2005/01/03 13:40:12  adamg
- new
